package com.yingying.tourist.service;

import java.io.UnsupportedEncodingException;

import com.yingying.tourist.domain.User;

public interface WechatService {

	/**
	 * 获取微信服务端token
	 * 
	 * @return
	 */
	String getToken();

	/**
	 * JS-SDK使用权限签名算法 获取ticket
	 * 
	 * @return
	 */
	String getTicket();

	/**
	 * 通过code换取网页授权access_token
	 * 
	 * @param code
	 * @return
	 */
	String getAuthToken(String code);

	/**
	 * 
	 * 通过授权token和openid获取微信用户信息
	 * 
	 * @param token
	 * @param openId
	 * @return
	 */
	User getWechatUser(String token, String openId) throws UnsupportedEncodingException;

}
